<?php
	session_start();
	if($_SESSION['adm'])
	{
		$userid= $_SESSION['adm'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #BankBalanceT{border-collapse:collapse; text-align:center; line-height:40px; width:550px; height:200px; font-size:20px; position:absolute; margin:10 0 0 700px;}
 #BankBalanceT th{background:black; color:white;}
 #BankBalanceT td{background:white; color:black;}
 #t{margin:10 0 0 120px; border-collapse:collapse; font-size:20px; text-align:center; background:white;}
 #t input{width:200px; height:40px; border:1px solid black;}
 #t select{width:200px; height:40px; font-size:16px; border:1px solid black;}
 .content{background:;}
 .content h3{margin:10 20px; font-size:20px;}
 .viewstate{background:#996420; width:1350px; height:40px; margin:10 0 0 20px;}
 .viewstate h3{line-height:40px; margin:10 0 0 20px; color:white;}
 #ChosseDate{ margin:20 0 5 250px;}
 #inp2{height:40px; font-size:18px; padding:5px; margin-left:10px; float:left;}
 #anch{background:white; color:black; text-align:center; line-height:40px; width:180px; height:40px; text-decoration:none; font-size:25px; margin-left:100px; padding:10 50px;}
 #anch:hover{background:black; color:white;}
 #spaceTR{height:50px;}
#t1{ width:1350px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px; font-size:18px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
 #inp3{height:40px; font-size:18px; padding:5px; margin:10 0 0 20px; float:left;}
 #btn3{height:40px; font-size:18px; padding:5px; margin:10px; float:left;}
 .foot{float:left; margin:10 0 0 100px; width:1350px;}
 
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
	<div class="content">
	    <?php
			include'connection.php';
			include'time.php';
			date_default_timezone_set("asia/Kolkata");
			$datetime= Date("Y-m-d - h:i:s A");
			$time= Date("h:i:s A");
			$date= Date("Y-m-d");
			
			$quGetOldBal="select * from wallet where userid='$userid' order by Id desc";
			$reGetOldBal=mysqli_query($con,$quGetOldBal);
			$GetOldBal=mysqli_fetch_array($reGetOldBal);
			$AdminOldBal=$GetOldBal['Balance'];
			
			$quGetTxnId="select * from wallet where Userid='$userid' and Transactiontype='Generate_Amount' order by Id desc";
			$reGetTxnId=mysqli_query($con,$quGetTxnId);
			$dataGetTxnId=mysqli_fetch_array($reGetTxnId);
			$OldTxnId=$dataGetTxnId['Paynrechid'];
			$NewTxnId=$OldTxnId+1;
		?>
		<form method="post">
		<h3>Add New Balance</h3><hr>
		<div id="BankBalance">
		    <table border="1" cellpadding="10" id="BankBalanceT">
		        <tr>
		            <th>Bank Name</th>
		            <th>Balance</th>
		        </tr>
		    <?php
		        $quBank="select * from bank";
		        $reBank=mysqli_query($con,$quBank);
		        while($dataBank=mysqli_fetch_array($reBank))
		        {
		            $TotalBankBal=0;
		            $AllBank=$dataBank['Bankname'];
		            $BankId=$dataBank['Id'];
		            
		                $quGetBankBal="select * from Bank_Account_Txn where Bank_Id='$BankId'";
		                $reGetBankBal=mysqli_query($con,$quGetBankBal);
		                while($dataGetBankBal=mysqli_fetch_array($reGetBankBal))
		                {
		                    $Txn=$dataGetBankBal['Txn'];
		                    $TotalBankBal=$TotalBankBal+$Txn;
		                }
		                
		            echo "<tr>";
		                echo "<td><a href='Bank_Account_Txn.php?BankId=".$BankId."' target='_blank'>".$AllBank."</a></td>";
		                echo "<td>".$TotalBankBal."</td>";
		            echo "</tr>";
		        }
		    ?>
		    </table>
		</div>
		<table border="1" cellpadding="7"id="t">
			<tr>
				<td><p id="tbp">Add Txn :</p></td>
				<td><input type="number" name="addbal" required></td>
			</tr>
    		<tr>
	    		<td>Choose Txn: </td>
		    	<td>
			        <select name="Txn">
			            <option>--Select Txn--</option>
			            <option>Credit</option>
			            <option>Debit</option>
    			    </select>
	    		</td>
		    </tr>
    		<tr>
	    		<td>Choose Bank: </td>
		    	<td>
			        <select name="BankName">
			            <option>--Select Bank--</option>
			            <?php
			                $GetBank="select * from bank";
    			            $reGetbank=mysqli_query($con,$GetBank);
	    		            while($dataGetbank=mysqli_fetch_array($reGetbank))
		    	            {
			                   echo "<option>".$dataGetbank['Bankname']."</option>"; 
			                }
			            ?>
    			    </select>
	    		</td>
		    </tr>
			<tr>
				<td><p id="tbp">Add Remarks :</p></td>
				<td><input type="text" name="rmark" required></td>
			</tr>
			<tr>
				<td></td>
				<td>
					<input type="submit" name="submit" value="Submit" id="btn">
				</td>
			</tr>
		</table>
		</form>
	</div>
	<form method="post">
	<input type="date" name="fdate" value="<?php echo $date; ?>" id="inp3">
	<input type="date" name="ldate" value="<?php echo $date; ?>" id="inp3">
	<input type="submit" name="submit2" id="btn3">
	</form>
	<table border="1" cellpadding="7" id="t1">
		<tr>
			<th>Sl.No.</th>
			<th>Id</th>
			<th>Date</th>
			<th>Time</th>
			<th>Bank Name</th>
			<th>Opening Bal</th>
			<th>Txn</th>
			<th>Balance</th>
			<th>Remarks</th>
			<th>Txn For</th>
		</tr>
		    
		<?php
			if(isset($_POST['submit']))
			{
				$addbal=$_POST['addbal'];
				$Txn=$_POST['Txn'];
				$rmark=$_POST['rmark'];
				$BankName=$_POST['BankName'];
				
				if($PayTo=="--Select Txn--" || $BankName=="--Select Bank--")
				{
				    echo "Invalid Input !";
				    exit();
				}
				
				if(empty($userid) || empty($addbal) || empty($date))
				{
				    echo "Something Empty !";
				    exit();
				}
				else
				{			
							$BankId="select Id from bank where Bankname='$BankName'";
				            $reBankId=mysqli_query($con,$BankId);
				            $dataBankId=mysqli_fetch_array($reBankId);
				            $BankId=$dataBankId['Id'];
				            if($Txn=="Credit")
				            {
				                $InsertTxn="insert into Bank_Account_Txn(Date,Time,Bank_Id,Bank_Name,Txn,Disc,Txn_For)
				                values('$date','$time','$BankId','$BankName','$addbal','$rmark','Manually')";
				            }
				            elseif($Txn=="Debit")
				            {
				                $InsertTxn="insert into Bank_Account_Txn(Date,Time,Bank_Id,Bank_Name,Txn,Disc,Txn_For)
				                values('$date','$time','$BankId','$BankName','-$addbal','$rmark','Manually')";
				            }
				            else
				            {
				                echo "<h3 align='center' style='color:red; font-weight:bold;'>Something Error !</h3>";
				                exit();
				            }
				            if(mysqli_query($con,$InsertTxn))
				            {
								echo "<h3 align='center' style='color:green; font-weight:bold;'>Add Txn Succefully !</h3>";
				            }
			    	
				    mysqli_close($con);
		    	    echo "<META HTTP-EQUIV ='Refresh' Content ='5'>";
				}
			}
			elseif(isset($_POST['submit2']))
			{   
			        $fdate=$_POST['fdate'];
			        $ldate=$_POST['ldate'];
			        $TotalCredit=0;
		            $sl=0;
		        	$quGetGenrateTxn="select * from Bank_Account_Txn where Txn_For='Manually' and Date>='$fdate' and Date<='$ldate'";
		    	    $reGetGenrateTxn=mysqli_query($con,$quGetGenrateTxn);
    		    	while($dataGetGenrateTxn=mysqli_fetch_array($reGetGenrateTxn))
		    	    {
	    	    	    $TotalCredit=$TotalCredit+$dataGetGenrateTxn['Txn'];
		    	        $sl=$sl+1;
    		    		echo "<tr>";
	    	    			echo "<td>".$sl."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Id']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Date']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Time']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Bank_Name']."</td>";
				    	    echo "<td>".$dataGetGenrateTxn['OpeningBal']."</td>";
	    	    			echo "<td>".$dataGetGenrateTxn['Txn']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Balance']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Disc']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Txn_For']."</td>";
    				    echo "<tr>";
	    	    	}
		        	echo "<tr>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$ChooseDate."</th>";
		        	    echo "<th>Total Payment</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$TotalCredit."</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	echo "</tr>";
		        
			
			}
    		else
	    	{
	    	        $TotalCredit=0;
		            $sl=0;
		        	$quGetGenrateTxn="select * from Bank_Account_Txn where Txn_For='Manually' order by Id desc limit 20";
		    	    $reGetGenrateTxn=mysqli_query($con,$quGetGenrateTxn);
    		    	while($dataGetGenrateTxn=mysqli_fetch_array($reGetGenrateTxn))
		    	    {
	    	    	    $TotalCredit=$TotalCredit+$dataGetGenrateTxn['Txn'];
		    	        $sl=$sl+1;
    		    		echo "<tr>";
	    	    			echo "<td>".$sl."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Id']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Date']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Time']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Bank_Name']."</td>";
				    	    echo "<td>".$dataGetGenrateTxn['OpeningBal']."</td>";
	    	    			echo "<td>".$dataGetGenrateTxn['Txn']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Balance']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Disc']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Txn_For']."</td>";
    				    echo "<tr>";
	    	    	}
		        	echo "<tr>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$ChooseDate."</th>";
		        	    echo "<th>Total Payment</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$TotalCredit."</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	echo "</tr>";
		        
			}
		?>
	</table>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>